Record (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.journal.impl.Record class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.journal.impl
Class Record

    java.lang.Object
      org.codehaus.activemq.journal.impl.Record

public class Record
extends Object

Serializes/Deserializes data records.

Version:
  $Revision: 1.2 $

Field Summary
`(package private) ByteBuffer` | `dataBuffer`
`(package private) RecordFooter` | `footer`
`(package private) ByteBuffer` | `footerBuffer`
`(package private) RecordHeader` | `header`
`(package private) ByteBuffer` | `headerBuffer`
`(package private) Mark` | `mark`
`static int` | `RECORD_BASE_SIZE`

Constructor Summary
`Record(long sequenceId, byte recordType, byte[] data, Mark visitData)`
`Record(RecordHeader header, byte[] data)`

Method Summary
`void` | `fill(ByteBuffer byteBuffer)`
`RecordHeader` | `getHeader()`
`Mark` | `getMark()`
`int` | `remaining()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RECORD_BASE_SIZE

    public static final int RECORD_BASE_SIZE

See Also:
  Constant Field Values

### header

    final RecordHeader header

### footer

    final RecordFooter footer

### headerBuffer

    final ByteBuffer headerBuffer

### dataBuffer

    final ByteBuffer dataBuffer

### footerBuffer

    final ByteBuffer footerBuffer

### mark

    final Mark mark

Constructor Detail

### Record

    public Record(RecordHeader header,
                  byte[] data)

### Record

    public Record(long sequenceId,
                  byte recordType,
                  byte[] data,
                  Mark visitData)

Method Detail

### getHeader

    public RecordHeader getHeader()

### getMark

    public Mark getMark()

### remaining

    public int remaining()

### fill

    public void fill(ByteBuffer byteBuffer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.